Supported WordPress Versions

Learn which versions of WordPress are currently supported, as well as additional compatibility information.

Contributors: Jennifer Hoffman.

Discuss in our Forum Discuss in Slack

Pantheon supports the latest public version of WordPress. Outdated versions of WordPress might function on the platform, but they are not actively supported.

 Warning

Using a previous WordPress version leaves your account vulnerable to well-documented security flaws. It is strongly recommended to use only the most up-to-date version of WordPress.

Development versions and beta releases are not supported.

Plugins Support

Refer to WordPress Plugins and Themes with Known Issues for a list of known compatibility issues.